Bug 23975 - REGRESSION: Scrollbar arrow not repainted
: REGRESSION: Scrollbar arrow not repainted
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering
: 528+ (Nightly build)
: Macintosh Mac OS X 10.5
: P1 Normal
Assigned To: Nobody
http://www.winonadailynews.com/
: HasReduction, InRadar, Regression
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-16 11:07 PST by John Moe
Modified: 2009-03-10 00:05 PDT (History)
2 users (show)

See Also:


Attachments
reduction, as best as I can get it (597 bytes, text/html)
2009-02-16 12:10 PST, Gavin Sherlock
no flags Details
Correct the vertical scrollbar rect calculation in RenderLayer::invalidateScrollbarRect() (1.36 KB, patch)
2009-03-09 23:56 PDT, mitz@webkit.org
adele: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John Moe 2009-02-16 11:07:26 PST
Click the down arrow in the News Update section.  It stays blue.
Comment 1 Gavin Sherlock 2009-02-16 11:26:10 PST
This is a regression from 3.2.1, and should be marked as such.  Note, resizing the window, or unfocusing then refocusing the window (such as by application switching) causes it to paint correctly.
Comment 2 Gavin Sherlock 2009-02-16 11:33:52 PST
regressed between r40663 (good) and r40738 (bad)
Comment 3 Gavin Sherlock 2009-02-16 12:10:47 PST
Created attachment 27706 [details]
reduction, as best as I can get it
Comment 4 Alexey Proskuryakov 2009-02-17 00:31:25 PST
<rdar://problem/6593610>
Comment 5 mitz@webkit.org 2009-03-09 18:01:22 PDT
Smaller reduction:
<div style="height: 100px; overflow-y: scroll;"><div style="height: 120px;"></div></div>
Comment 6 mitz@webkit.org 2009-03-09 23:56:32 PDT
Created attachment 28430 [details]
Correct the vertical scrollbar rect calculation in RenderLayer::invalidateScrollbarRect()
Comment 7 mitz@webkit.org 2009-03-10 00:05:22 PDT
Fixed in <http://trac.webkit.org/projects/webkit/changeset/41546>.